clear all
A = [63,53; 43,50]/50;

N = 1+4*20;
t = linspace(0,2*pi,N);
vec = [cos(t);sin(t)];
ind = [1:N;2:N,1];

for p = 1
  x = [];
  for j = 1:size(vec,2)
    %
    % Vektoren in vec(:,j) sollen nach Normierung in x(:,j) 
    % gespeichert werden
    %
    
    x(:,j) = vec(:,j)/norm(vec(:,j),p);
  end
  Ax = A * x;
  lambda = norm(A,p);
  x = x'; Ax = Ax';
  plot(x(ind,1),x(ind,2),'k-',   ...
       lambda*x(ind,1),lambda*x(ind,2),'g:', ...
       Ax(ind,1),Ax(ind,2),'r-')
  mx = max(max([Ax,x,lambda*x]));
  axis(1.4*mx*[-1,1,-1,1]); axis equal
  title([num2str(p),'-Norm'])
  pause
end 
